package com.zztrapp.zztrapp.ui.mine.adapter;


import android.annotation.SuppressLint;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.google.android.flexbox.FlexboxLayoutManager;
import com.zztrapp.zztrapp.bean.MassageBean;
import com.zztrapp.zztrapp.databinding.ItemRvSpecialTasksBinding;
import com.zztrapp.zztrapp.ui.currency.adapter.FlexBoxItemAdapter;

import java.util.ArrayList;
import java.util.List;

/**
 * Describe 消息
 * Created by Bby on 2022/6/23
 * Email bby0856@163.com
 */

public class MassageAdapter extends RecyclerView.Adapter<MassageAdapter.ItemHolder> {

    private Context mContext;
    private OnItemClickListener onItemClickListener;
    private List<MassageBean.RecordsBean> list;

    public interface OnItemClickListener {
        void onLookDetailClick(String id, int position);
    }

    public void setOnItemClickListener(OnItemClickListener onItemClickListener) {
        this.onItemClickListener = onItemClickListener;
    }

    public MassageAdapter(Context context) {
        this.mContext = context;
    }

    public void setData(List<MassageBean.RecordsBean> list) {
        this.list = list;
        notifyDataSetChanged();
    }

    @NonNull
    @Override
    public ItemHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        ItemRvSpecialTasksBinding binding = ItemRvSpecialTasksBinding.inflate(LayoutInflater.from(mContext), parent, false);
        return new ItemHolder(binding);
    }

    @Override
    public void onBindViewHolder(ItemHolder holder, @SuppressLint("RecyclerView") int position) {
        holder.bindings.edit.setVisibility(View.GONE);
        holder.bindings.lookDetail.setText("查看");
        holder.bindings.taskName.setText("标题 " + list.get(position).getTitile());
        List<String> arrayList = new ArrayList<>();
        arrayList.add("消息类型：" + list.get(position).getMsgCategory_dictText());
        arrayList.add("优先级：" + list.get(position).getPriority_dictText());
        holder.bindings.rv.setLayoutManager(new FlexboxLayoutManager(mContext));
        FlexBoxItemAdapter adapter = new FlexBoxItemAdapter(mContext);
        holder.bindings.rv.setAdapter(adapter);
        adapter.setData(arrayList);

        holder.bindings.lookDetail.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (onItemClickListener != null) {
                    onItemClickListener.onLookDetailClick(list.get(position).getId(), position);
                }
            }
        });
    }

    @Override
    public int getItemCount() {
        return list != null ? list.size() : 0;
    }

    static class ItemHolder extends RecyclerView.ViewHolder {
        private ItemRvSpecialTasksBinding bindings;

        public ItemHolder(ItemRvSpecialTasksBinding binding) {
            super(binding.getRoot());
            bindings = binding;
        }
    }
}